<div class="modal fade right" id="user-edit-modal" tabindex="-1" role="dialog" >
  <div class="modal-dialog modal-full-height modal-lg  modal-right" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" id="modal-close" data-dismiss="modal" (click)="userDetailsToEdit = null"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title uppercase">User</h4>
      </div>
      <div class="modal-body" >

        <form [formGroup]="userEditForm" *ngIf="userDetailsToEdit">
          <div class="row">
            <div  class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6">
              <mat-form-field color="accent" class="full-width">
                <mat-label>First Name</mat-label>
                <input matInput placeholder="Enter first name" formControlName="firstName" type="text" required>
              </mat-form-field>
            </div>
            <div class="form-group py-2 ol-sm-12 col-md-6 col-lg-6 .col-xl-6">
              <mat-form-field color="accent" class="full-width">
                <mat-label>Last Name</mat-label>
                <input matInput placeholder="Enter last name" formControlName="lastName" type="text">
              </mat-form-field>
            </div>
            <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6">
              <div formGroupName="usernameGroup">
                <mat-form-field color="accent" class="full-width">
                  <mat-label>User Name</mat-label>
                  <input matInput placeholder="Enter user name" formControlName="username" type="text" [errorStateMatcher]="usernameExistCheck"
                         (input)="onUserNameChange($event.target.value)" required>
                  <mat-hint class="ac-form-field-description">Minimum 5 characters.</mat-hint>
                  <mat-error *ngIf="userEditForm.get('usernameGroup').hasError('required', ['username'])">Please enter your username</mat-error>
                  <mat-error *ngIf="userEditForm.get('usernameGroup').hasError('minlength', ['username'])">Username with less than 5 characters.</mat-error>
                  <mat-error *ngIf="userEditForm.get('usernameGroup').hasError('usernameExist')">Username already exist</mat-error>
                </mat-form-field>
              </div>
            </div>
            <!--<div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6">
              <mat-form-field class="full-width">
                <mat-label>Password</mat-label>
                <input matInput placeholder="Enter Password" formControlName="password" [type]="hide ? 'password' : 'text'" required>
                <mat-hint class="ac-form-field-description">Minimum 5 characters.</mat-hint>
                <mat-error *ngIf="userEditForm.hasError('required', ['password'])">Please enter your password</mat-error>
                <mat-error *ngIf="userEditForm.hasError('minlength', ['password'])">Password with less than 5 characters.</mat-error>
                <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
              </mat-form-field>
            </div>-->
            <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6">
              <mat-form-field color="accent" class="full-width">
                <mat-label>Email</mat-label>
                <input matInput placeholder="Enter email" formControlName="email" type="email" required>
                <mat-error *ngIf="userEditForm.hasError('email', ['email'])">Please enter valid email</mat-error>
              </mat-form-field>
            </div>
            <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6" *ngIf="!isRoleEditable">
              <mat-form-field color="accent" class="full-width">
                <mat-label>Role</mat-label>
                <input matInput placeholder="Selected role" formControlName="disabledRole" type="text" required>
              </mat-form-field>
            </div>
            <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6" *ngIf="isRoleEditable">
              <mat-form-field color="accent" class="full-width">
                <mat-label>Role</mat-label>
                <mat-select  placeholder="Select role" formControlName="roles" required>
                  <mat-option *ngFor="let val of roles" [value]="val">{{val}}</mat-option>
                </mat-select>
              </mat-form-field>
            </div>
          </div>
          <button mat-raised-button color="primary" [disabled]="!userEditForm.valid" (click)="emitUserDetails()">Update</button>
        </form>

        <div *ngIf="showCircularLoader">
          <app-circular-loader></app-circular-loader>
        </div>

      </div>
    </div>
  </div>
</div>
